Mission and Overview
NVD is the U.S. government repository of standards based vulnerability management data. This data enables automation of vulnerability management, security measurement, and compliance (e.g. FISMA).
Resource Status
NVD contains:

Last updated: 12/28/2014 11:38:50 PM

CVE Publication rate: 17.47

Email List

NVD provides four mailing lists to the public. For information and subscription instructions please visit NVD Mailing Lists

Workload Index
Vulnerability Workload Index: 7.1
About Us
NVD is a product of the NIST Computer Security Division and is sponsored by the Department of Homeland Security's National Cyber Security Division. It supports the U.S. government multi-agency (OSD, DHS, NSA, DISA, and NIST) Information Security Automation Program. It is the U.S. government content repository for the Security Content Automation Protocol (SCAP).

National Cyber Awareness System

Vulnerability Summary for CVE-2010-3677

Original release date: 01/11/2011
Last revised: 01/21/2013
Source: US-CERT/NIST

Overview

Oracle MySQL 5.1 before 5.1.49 and 5.0 before 5.0.92 allows remote authenticated users to cause a denial of service (mysqld daemon crash) via a join query that uses a table with a unique SET column.

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score: 4.0 (MEDIUM) (AV:N/AC:L/Au:S/C:N/I:N/A:P) (legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.0
CVSS Version 2 Metrics:
Access Vector: Network exploitable
Access Complexity: Low
Authentication: Required to exploit
Impact Type: Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

External Source: SECUNIA
Name: 42936
Type: Advisory
External Source: VUPEN
Name: ADV-2011-0170
Type: Advisory
External Source: MLIST
Name: [oss-security] 20100928 Re: CVE Request -- MySQL v5.1.49 -- multiple DoS flaws
External Source: VUPEN
Name: ADV-2011-0133
Type: Advisory
External Source: SECUNIA
Name: 42875
Type: Advisory
External Source: XF
Name: mysql-setcolumn-dos(64688)
External Source: MANDRIVA
Name: MDVSA-2010:222
External Source: UBUNTU
Name: USN-1017-1
External Source: CONFIRM
Name: http://dev.mysql.com/doc/refman/5.0/en/news-5-0-92.html
External Source: APPLE
Name: APPLE-SA-2011-06-23-1
External Source: MISC
Name: http://bugs.mysql.com/bug.php?id=54575
External Source: DEBIAN
Name: DSA-2143
External Source: TURBO
Name: TLSA-2011-3
External Source: BID
Name: 42646
External Source: REDHAT
Name: RHSA-2011:0164
Type: Advisory
External Source: CONFIRM
Name: http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html
External Source: MANDRIVA
Name: MDVSA-2010:155
External Source: SUSE
Name: SUSE-SR:2010:019
External Source: VUPEN
Name: ADV-2011-0105
Type: Advisory
External Source: REDHAT
Name: RHSA-2010:0825
External Source: MANDRIVA
Name: MDVSA-2011:012
External Source: CONFIRM
Name: http://support.apple.com/kb/HT4723
External Source: CONFIRM
Name: https://bugzilla.redhat.com/show_bug.cgi?id=628040
External Source: VUPEN
Name: ADV-2011-0345
Type: Advisory

Vulnerable software and versions

+ Configuration 1
+ OR
* cpe:/a:mysql:mysql:5.0.90
* cpe:/a:mysql:mysql:5.0.89
* cpe:/a:mysql:mysql:5.0.88
* cpe:/a:mysql:mysql:5.0.87
* cpe:/a:mysql:mysql:5.0.87:sp1
* cpe:/a:mysql:mysql:5.0.86
* cpe:/a:mysql:mysql:5.0.85
* cpe:/a:mysql:mysql:5.0.84:sp1
* cpe:/a:mysql:mysql:5.0.84
* cpe:/a:mysql:mysql:5.0.83
* cpe:/a:mysql:mysql:5.0.82:sp1
* cpe:/a:mysql:mysql:5.0.82
* cpe:/a:mysql:mysql:5.0.81
* cpe:/a:mysql:mysql:5.0.80
* cpe:/a:mysql:mysql:5.0.79
* cpe:/a:mysql:mysql:5.0.78
* cpe:/a:mysql:mysql:5.0.77
* cpe:/a:mysql:mysql:5.0.76
* cpe:/a:mysql:mysql:5.0.75
* cpe:/a:mysql:mysql:5.0.74:sp1
* cpe:/a:mysql:mysql:5.0.74
* cpe:/a:mysql:mysql:5.0.72
* cpe:/a:mysql:mysql:5.0.72:sp1
* cpe:/a:mysql:mysql:5.0.70
* cpe:/a:mysql:mysql:5.0.68
* cpe:/a:mysql:mysql:5.0.67
* cpe:/a:mysql:mysql:5.0.66
* cpe:/a:mysql:mysql:5.0.66:sp1
* cpe:/a:mysql:mysql:5.0.66:a
* cpe:/a:mysql:mysql:5.0.64
* cpe:/a:mysql:mysql:5.0.62
* cpe:/a:mysql:mysql:5.0.60
* cpe:/a:mysql:mysql:5.0.58
* cpe:/a:mysql:mysql:5.0.56:sp1
* cpe:/a:mysql:mysql:5.0.56
* cpe:/a:mysql:mysql:5.0.54
* cpe:/a:mysql:mysql:5.0.52
* cpe:/a:mysql:mysql:5.0.51:b
* cpe:/a:mysql:mysql:5.0.51:a
* cpe:/a:mysql:mysql:5.0.50
* cpe:/a:mysql:mysql:5.0.48
* cpe:/a:mysql:mysql:5.0.46
* cpe:/a:mysql:mysql:5.0.45
* cpe:/a:mysql:mysql:5.0.44:sp1
* cpe:/a:mysql:mysql:5.0.44
* cpe:/a:mysql:mysql:5.0.42
* cpe:/a:mysql:mysql:5.0.41
* cpe:/a:mysql:mysql:5.0.40
* cpe:/a:mysql:mysql:5.0.38
* cpe:/a:mysql:mysql:5.0.37
* cpe:/a:mysql:mysql:5.0.36
* cpe:/a:mysql:mysql:5.0.36:sp1
* cpe:/a:mysql:mysql:5.0.34
* cpe:/a:mysql:mysql:5.0.33
* cpe:/a:mysql:mysql:5.0.32
* cpe:/a:mysql:mysql:5.0.30:sp1
* cpe:/a:mysql:mysql:5.0.30
* cpe:/a:mysql:mysql:5.0.28
* cpe:/a:mysql:mysql:5.0.2
* cpe:/a:mysql:mysql:5.0.20
* cpe:/a:mysql:mysql:5.0.20a
* cpe:/a:mysql:mysql:5.0.21
* cpe:/a:mysql:mysql:5.0.22
* cpe:/a:mysql:mysql:5.0.24
* cpe:/a:mysql:mysql:5.0.27
* cpe:/a:mysql:mysql:5.0.15a
* cpe:/a:mysql:mysql:5.0.16
* cpe:/a:mysql:mysql:5.0.16a
* cpe:/a:mysql:mysql:5.0.17
* cpe:/a:mysql:mysql:5.0.17a
* cpe:/a:mysql:mysql:5.0.18
* cpe:/a:mysql:mysql:5.0.19
* cpe:/a:mysql:mysql:5.0.1a
* cpe:/a:mysql:mysql:5.0.14
* cpe:/a:mysql:mysql:5.0.15
* cpe:/a:mysql:mysql:5.0.12
* cpe:/a:mysql:mysql:5.0.13
* cpe:/a:mysql:mysql:5.0.10a
* cpe:/a:mysql:mysql:5.0.11
* cpe:/a:mysql:mysql:5.0.1
* cpe:/a:mysql:mysql:5.0.10
* cpe:/a:mysql:mysql:5.0.0
* cpe:/a:mysql:mysql:5.0.0:alpha
* cpe:/a:mysql:mysql:5.0.91 and previous versions
+ Configuration 2
+ OR
* cpe:/a:mysql:mysql:5.1.48 and previous versions
* cpe:/a:mysql:mysql:5.1.47
* cpe:/a:mysql:mysql:5.1.46:sp1
* cpe:/a:mysql:mysql:5.1.46
* cpe:/a:mysql:mysql:5.1.45
* cpe:/a:mysql:mysql:5.1.44
* cpe:/a:mysql:mysql:5.1.43:sp1
* cpe:/a:mysql:mysql:5.1.43
* cpe:/a:mysql:mysql:5.1.42
* cpe:/a:mysql:mysql:5.1.41
* cpe:/a:mysql:mysql:5.1.40:sp1
* cpe:/a:mysql:mysql:5.1.40
* cpe:/a:mysql:mysql:5.1.4
* cpe:/a:mysql:mysql:5.1.30
* cpe:/a:mysql:mysql:5.1.33
* cpe:/a:mysql:mysql:5.1.32
* cpe:/a:mysql:mysql:5.1.31
* cpe:/a:mysql:mysql:5.1.32-bzr
* cpe:/a:mysql:mysql:5.1.3
* cpe:/a:mysql:mysql:5.1.37:sp1
* cpe:/a:mysql:mysql:5.1.31:sp1
* cpe:/a:mysql:mysql:5.1.34:sp1
* cpe:/a:mysql:mysql:5.1.34
* cpe:/a:mysql:mysql:5.1.35
* cpe:/a:mysql:mysql:5.1.36
* cpe:/a:mysql:mysql:5.1.37
* cpe:/a:mysql:mysql:5.1.38
* cpe:/a:mysql:mysql:5.1.39
* cpe:/a:mysql:mysql:5.1.23_bk
* cpe:/a:mysql:mysql:5.1.23:a
* cpe:/a:mysql:mysql:5.1.21
* cpe:/a:mysql:mysql:5.1.22
* cpe:/a:mysql:mysql:5.1.23a
* cpe:/a:mysql:mysql:5.1.20
* cpe:/a:mysql:mysql:5.1.28
* cpe:/a:mysql:mysql:5.1.29
* cpe:/a:mysql:mysql:5.1.26
* cpe:/a:mysql:mysql:5.1.27
* cpe:/a:mysql:mysql:5.1.24
* cpe:/a:mysql:mysql:5.1.25
* cpe:/a:mysql:mysql:5.1.2
* cpe:/a:mysql:mysql:5.1.23
* cpe:/a:mysql:mysql:5.1.10
* cpe:/a:mysql:mysql:5.1.1
* cpe:/a:mysql:mysql:5.1.18
* cpe:/a:mysql:mysql:5.1.19
* cpe:/a:mysql:mysql:5.1.13
* cpe:/a:mysql:mysql:5.1.14
* cpe:/a:mysql:mysql:5.1.11
* cpe:/a:mysql:mysql:5.1.12
* cpe:/a:mysql:mysql:5.1.17
* cpe:/a:mysql:mysql:5.1.15
* cpe:/a:mysql:mysql:5.1.16

* Denotes Vulnerable Software
Changes related to vulnerability configurations

Technical Details

Vulnerability Type (View All)
  • Resource Management Errors (CWE-399)